Status: Closed

Priority: Normal

Category:

Customer: VW Product Issue https://www.cip.audi.de/jira/browse/ODA
Numbers: DATTOOL-49

Department: IAV Affected Products: ADTF DAT GUI Tools 0.2.0 (BETA),

ADTF Device Toolbox 3.2.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: DatTools::DatToolGUI

Resolution: Product Issue Opened FAQ Links:

Description

Support Anfrage:

Wir haben in unseren Messdaten, aufgenommen mit ADTF 2.14.2, u.a. einen CAN-FD Stream, den wir per ADTF 3 exportieren
wollen.

Da ich bisher nur mit ADTF 2 gearbeitet habe, habe ich mir zunachst einen Wolf gesucht, wie ich den Export bei ADTF 3
bewerkstelligen kann. Es ist doch recht verwirrend, dass es scheinbar keine ,komplette” Oberflache mehr zu geben scheint!?

Mittlerweile habe ich zumindest die ADTF DAT Tool GUI gefunden und meine Messung dort reinladen kénnen. Die Streams werden
auch problemlos erkannt.
Allerdings bekomme ich unter Processor keinerlei Auswahlmdglichkeit, um z.B. den CAN-FD Stream als Ascii-Datei zu exportieren.

Fehlt mir ggf. noch irgendeine Library oder gibt es diese Funktionalitat bisher einfach noch nicht?
Oder sind ADTF2-Dat-Files nicht 100% kompatibel?

Losung:

Die DAT Funktionen (Export, Info usw) sind in die DAT Tools und die ADTF File Library "umgezogen".
Sieh Dir dazu bitte auch mal die Doku der File Library an.

Im DAT Tool GUI stehen nur zwei vorgefertigte/mitgelieferte Processoren zur Verfligung: csv & avi
Sieh Dir hierzu bitte die Guides des DAT GUI Tool an.
Hier ein Auszug:

Currently there are two Processors available, one to export the samples of a stream into a CSV file (see csv_processor example
in ADTF File Library) and one to extract the images of a video stream (see ADTF3 Guides - ADTF DAT Tool Processor)

Uber die ADTF Device Toolbox werden noch ein ASC Processor und ein MDF Proccesor zur Verfligung gestellt.
Device Toolbox DAT Processors
Weitere Processoren kdnnt ihr am Beispiel des csv_processor Example selbst erstellen.

Bei CAN FD gibt es Probleme:

® beim Mapping von 2 auf 3
o ist nicht so trivial, da es eigentlich offiziell kein CAN FD in ADTF 2 gibt

e Kompatibilitat
o IFHD 0.6.1 / DAT GUI Tools 0.2.0 sind mit ADTF 3.6.x bzw. Device TB 3.1.0 inkompatible
o Dazu braucht man ADTF 3.7.0 und (kommende Device TB 3.2.0)

Ubergangsweise findet man lokale adtffileplugins der kommenden Device TB hier -> #10544#note-18

Damit misste es auch in IFHD 0.6.1 bzw. DAT GUI Tools 0.2.0 gehen

Die angehéngten Prozessoren funktionieren und landen auch genauso in der Device TB 3.2.0, allerdings gibt es scheinbar einen
Bug in der GUI Implementierung, so dass die DAT GUI Tools abstiirzen, deshalb wurde fiir diesen Bug ein Ticket erstellt, wird in den
DAT GUI Tools behoben.
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/index.html
https://support.digitalwerk.net/adtf_libraries/adtf-dat-gui-tools/v0/guides/intro_dattool_gui.html
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_dat_processors.html

Hier auch der Hinweis, verwende bitte die Kommandozeilen Tools aus der File Library, wie im verlinkten Ticket beschrieben
(#10544#note-22), damit geht es.
Halt nur leider ohne GUI derzeit.

History

#1 - 2020-05-07 14:34 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to DatTools::DatToolGUI

- Customer set to VW

- Department set to IAV

- Affected Products ADTF DAT GUI Tools 0.2.0 (BETA) added
- Platform Windows 10 64bit added

Hallo Christian,

es ist richtig, die DAT Funktionen (Export, Info usw) sind in die DAT Tools und die ADTF File Library "umgezogen".
Sieh Dir dazu bitte auch mal die Doku der File Library an.

Im DAT Tool GUI stehen nur zwei vorgefertigte/mitgelieferte Processoren zur Verfligung: csv & avi
Sieh Dir hierzu bitte die Guides des DAT GUI Tool an.
Hier ein Auszug:

Currently there are two Processors available, one to export the samples of a stream into a CSV file (see csv_processor example in ADTF File
Library) and one to extract the images of a video stream (see ADTF3 Guides - ADTF DAT Tool Processor)

Uber die ADTF Device Toolbox werden noch ein ASC Processor und ein MDF Proccesor zur Verfiigung gestellt.
Device Toolbox DAT Processors

Weitere Processoren kénnt ihr am Beispiel des csv_processor Example selbst erstellen.

Wie gesagt, Details findest Du in der Doku der File Library & in den Guides des DAT GUI Tool.

Hilft Dir das weiter?

#2 - 2020-05-07 14:37 - hidden

- Status changed from In Progress to Customer Feedback Required

#3 - 2020-05-12 09:25 - hidden

Hallo Christian,

hast Du die Info erhalten?

Wir haben kein Feedback erhalten.
Bitte um Antwort bis zum 14.05.
Danke

#4 - 2020-05-14 08:15 - hidden
Hallo,

sorry flr die spate Rickmeldung.

Ich bin ein paar Schritte weiter gekommen, allerdings stiirzt das Dat Tool beim Versuch den CAN FD Stream aus der ADTF 2 Datei zu exportieren ab.
Eine ausfuhrliche Fehlerbeschreibung verschicke ich heute Nachmittag oder spatestens morgen.

Grui3
Christian

#5 - 2020-05-14 08:20 - hidden
Hallo Christian,

bei CAN FD gibt es Probleme:

® beim Mapping von 2 auf 3
o ist nicht so trivial, da es eigentlich offiziell kein CAN FD in ADTF 2 gibt
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/index.html
https://support.digitalwerk.net/adtf_libraries/adtf-dat-gui-tools/v0/guides/intro_dattool_gui.html
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_dat_processors.html

o Kompatibilitat
o IFHD 0.6.1 / DAT GUI Tools 0.2.0 sind mit ADTF 3.6.x bzw. Device TB 3.1.0 inkompatible
o Dazu braucht man ADTF 3.7.0 und (kommende Device TB 3.2.0)

Du findest meine lokalen adtffileplugins der kommenden Device TB hier -> #10544#note-18
Damit mlsste es auch in IFHD 0.6.1 bzw. DAT GUI Tools 0.2.0 gehen

#7 - 2020-05-18 08:45 - hidden

Hallo Florian,

mit DAT GUI Tools 0.2.0 und deinen adtffileplugins funktioniert es leider auch nicht. Ich bekomme keinen Processor zur Auswahl.
Ich warte mal auf die kommende Device TB 3.2.0 und probiere es dann erneut.

Danke bis hierhin.

Grui3
Christian

#8 - 2020-05-18 09:05 - hidden

Hallo Christian,

die Device Toolbox hat damit leider nichts zu tun... hast du meinen Kommentar gelesen (#10544#note-23) ?

Die angehangten Prozessoren funktionieren und landen auch genauso in der Device TB 3.2.0, allerdings gibt es scheinbar einen Bug in der GUI
Implementierung, so dass die DAT GUI Tools abstirzen, deshalb habe ich fur diesen Bug ein Ticket erstellt, muss gefixt werden, aber natlrlich in den
DAT GUI Tools.

Hier auch der Hinweis, verwende bitte die Kommandozeilen Tools aus der File Library, wie Benedict beschrieben (#105444#note-22), damit geht es.
Nur leider ohne GUI derzeit.

#9 - 2020-05-22 11:18 - hidden

Hallo Christian,

hat Dir die Information von Florian weiter geholfen?
Kann das Ticket geschlossen werden?
Bitte um Feedback bis zum 26.05.

Danke

#10 - 2020-05-25 16:30 - hidden

Ja, vielen Dank.

Das Ticket kann geschlossen werden.

#11 - 2020-05-26 10:47 - hidden

- Subject changed from ADTF 3: CAN FD Export to DAT GUI Tools (ADTF 3): CAN FD Export
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ODADATTOOQOL-49

- Affected Products ADTF Device Toolbox 3.2.0 added

#12 - 2020-05-26 11:04 - hidden

- Project changed from 20 to Public Support

- Subject changed from DAT GUI Tools (ADTF 3): CAN FD Export to CAN FD Export fails using DAT GUI Tool
- Status changed from To Be Closed to Closed

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level
